classification
Title: Idle hangs when given a nonexistent filename.
Type: Stage:
Components: IDLE Versions: Python 3.0, Python 3.1
process
Status: closed Resolution: duplicate
Dependencies: Superseder: IDLE hangs when passing invalid command line args (directory(ies) instead of file(s))
View: 3573
Assigned To: Nosy List: della1rv, gpolo, kbk
Priority: normal Keywords: patch

Created on 2009-01-18 05:27 by della1rv, last changed 2009-08-13 03:29 by gpolo. This issue is now closed.

Files
File name Uploaded Description Edit
idle_create_file_if_not_exist.python3_0.patch della1rv, 2009-01-18 05:27 Have idle create new files if files specified on the command line do not exist.
Messages (4)
msg80079 - (view) Author: Romeo Victor Dellarocco (della1rv) Date: 2009-01-18 05:27
Idle hangs when given the name of a nonexistent file. The idle window
briefly appears, then disappears, the process hangs and has to be
terminated.

Platform:
  Linux 2.6.22-16-rt #1 SMP PREEMPT RT Mon Nov 24 21:03:25 GMT 2008 i686
GNU/Linux
  Ubuntu 7.10
  Python3.0 Final built from source.
  tk8.4
  I upgraded to tk8.5, idle still does the same thing.

To recreate type:
  rm foo.py
  idle foo.py
  # The idle window briefly appears, then disappears, the process hangs
  # and has to be terminated.

In previous versions of idle any nonexistent files would be created by
idle. This is what one would expect.

I have a patch for idlelib/PyShell.py that will make idle create any
nonexisting files.
msg84232 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-03-26 23:39
I tried it here but it didn't hang. But I did notice the editor window
was created and then disappeared, differently from what happens in
python-trunk.

I don't believe creating new files is a good solution, idle on
python-trunk doesn't need to do this to work normally.
msg86484 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-04-25 12:06
Ah, retried this bug a bit more and found out that to hang you have to
run idle with the -e option and a non-existing filename.

Anyway, this was all introduced by r57998.
msg91513 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2009-08-13 03:29
Closing this in favour of issue 3573.
History
Date User Action Args
2009-08-13 03:29:28gpolosetstatus: open -> closed
resolution: duplicate
superseder: IDLE hangs when passing invalid command line args (directory(ies) instead of file(s))
messages: + msg91513
2009-08-13 03:28:40gpolounlinkissue3573 superseder
2009-08-13 03:28:22gpololinkissue3573 superseder
2009-04-25 12:14:21gpolosetnosy: + kbk
2009-04-25 12:06:45gpolosetmessages: + msg86484
2009-03-26 23:39:06gpolosetnosy: + gpolo

messages: + msg84232
versions: + Python 3.1
2009-01-18 05:27:50della1rvcreate